<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.huatek.busi.mapper.SimulateInputDataItemMapper">
    <sql id="Base_Column_List">
        id,
        data_item_json AS dataItemJson,
        create_user AS createUser,
        create_time AS createTime
    </sql>

    <select id="findByDataItemJson" parameterType="java.lang.String" resultType="com.huatek.busi.entity.SimulateInputDataItem">
        SELECT
            <include refid="Base_Column_List"/>
        FROM
            x_simulate_input_data_item
        WHERE
            data_item_json = #{dataItemJson}
    </select>
</mapper>